Macro_SuperWire/fr

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro SuperWire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎čeština

Macro SuperWire.png SuperWire

Description
Cette macro crée un fil d'objets sélectionnés (lignes et arcs) même lorsque les méthodes de création du fil normal (par exemple avec l'outil de mise à niveau) échouent.

Version macro : 0.1
Date dernière modification : 2012-05-22
Version FreeCAD : All
Téléchargement : ToolBar Icon
Auteur
Yorik
Téléchargement
ToolBar Icon
Liens
Version Macro
0.1
Dernière modification
2012-05-22
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
None


Description

Cette macro crée un fil d'objets sélectionnés (lignes et arcs) même lorsque les méthodes de création du fil normal (par exemple avec l'outil de mise à niveau) échouent.

Attention, vous devez avoir une version récente de FreeCAD pour ce travail

Script

ToolBar Icon Macro SuperWire.png

Macro_SuperWire.FCMacro

import FreeCAD,FreeCADGui,Part
try:
    import DraftGeomUtils as fcgeo
except:
    from draftlibs import fcgeo

sel = FreeCADGui.Selection.getSelection()
if not sel:
   FreeCAD.Console.PrintWarning("Select something first!")
else:
   elist = []
   for obj in sel:
       if hasattr(obj,"Shape"):
           elist.append(obj.Shape.Edges[0])
   wire = fcgeo.superWire(elist)
   if wire:
       Part.show(wire)
   else:
       FreeCAD.Console.PrintError("SuperWire operation failed!")